<template>
  <div class="centered-text">{{ message }}</div>
</template>

<script>
import { VerifyAccount } from '@/api/auth'

export default {
  data() {
    return {
      message: ""
    }
  },

  async created() {
    const status = await VerifyAccount(this.$route.params.token)
    if (!status) {
      return
    }

    if (status === 200) {
      this.$toasted.success('Your account was verified')
    } else {
      this.$toasted.error('Oh no... Something bad happened')
    }
  }
}
</script>
